Name:		budgie-control-center
Version:	1.0.1
Release:	1%{?dist}
License:	GPLv2+
Summary:	Budgie Control Center
URL:		https://github.com/BuddiesOfBudgie/budgie-control-center

Source0:	https://github.com/BuddiesOfBudgie/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:	budgie-control-center.keyrules

BuildRequires:	cmake
BuildRequires:	meson
BuildRequires:	ninja-build

BuildRequires:	bluez
BuildRequires:	cups-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	gnome-common
BuildRequires:	libnma-devel

BuildRequires:	pkgconfig(accountsservice)
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(colord-gtk)
BuildRequires:	pkgconfig(com_err)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(ibus-1.0)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(gnome-bluetooth-1.0)
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gnome-settings-daemon)
BuildRequires:	pkgconfig(goa-backend-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libgnome-menu-3.0)
BuildRequires:	pkgconfig(libgtop-2.0)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libwacom)
BuildRequires:	pkgconfig(ModemManager)
BuildRequires:	pkgconfig(mm-glib)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(pwquality)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(udisks2)
BuildRequires:	pkgconfig(upower-glib)

Requires:	bolt
Requires:	cups-pk-helper
Requires:	glib-networking
Requires:	gnome-color-manager
Requires:	gnome-keyring
Requires:	gvfs-goa
Requires:	libgnomekbd
Requires:	power-profiles-daemon
Requires:	sound-theme-freedesktop

%description
Budgie Control Center is a fork of GNOME Settings / GNOME Control Center with
the intent of providing a simplified list of settings that are applicable to
the Budgie 10 series, along with any small quality-of-life settings.

%package        devel
Summary:        Development files for the Budgie Control Center
Requires:	%{name}%{?_isa} = %{version}-%{release}
%description    devel
%{summary}

%prep
%autosetup

%build
%meson -Dcheese=false -Ddocumentation=true
%meson_build

%install
%meson_install

install -m 00644 %{_sourcedir}/budgie-control-center.keyrules %{buildroot}%{_datadir}/polkit-1/rules.d/.

%files
%{_bindir}/budgie-control-center
%{_libexecdir}/budgie-cc-remote-login-helper
%{_libexecdir}/budgie-control-center-print-renderer
%{_datadir}/applications/*
%{_datadir}/bash-completion/completions/budgie-control-center
%{_datadir}/budgie-control-center/keybindings/*
%{_datadir}/budgie-control-center/pixmaps/noise-texture-light.png
%{_datadir}/dbus-1/services/org.buddiesofbudgie.ControlCenter.service
%{_datadir}/glib-2.0/schemas/org.buddiesofbudgie.ControlCenter.gschema.xml
%{_datadir}/icons/*
%{_datadir}/locale/*
%{_datadir}/metainfo/budgie-control-center.appdata.xml
%{_datadir}/pixmaps/budgie-faces/*
%{_datadir}/pixmaps/budgie-logo.png
%{_datadir}/polkit-1/rules.d/budgie-control-center.keyrules
%{_datadir}/polkit-1/actions/org.buddiesofbudgie.controlcenter.datetime.policy
%{_datadir}/polkit-1/actions/org.buddiesofbudgie.controlcenter.remote-login-helper.policy
%{_datadir}/polkit-1/actions/org.buddiesofbudgie.controlcenter.user-accounts.policy
%{_datadir}/polkit-1/rules.d/budgie-control-center.rules
%{_datadir}/sounds/budgie/default/alerts/*
%{_mandir}/man1/budgie-control-center.1.gz

%files devel
%{_datadir}/pkgconfig/budgie-keybindings.pc

%changelog
* Sun Mar 27 2022 Thomas Batten <stenstorpmc@gmail.com> - 1.0.1-1
- Initial package
